#COMPILATION FLAGS

# Dect Toolkit CFLAGS
IFX_DECTTK_CFLAGS += -DFW_DOWNLOAD
IFX_DECTTK_CFLAGS += -DENABLE_ENCRYPTION
IFX_DECTTK_CFLAGS += -DCAT_IQ2_0
IFX_DECTTK_CFLAGS += -DLITTLE_ENDIAN
IFX_DECTTK_CFLAGS += -DDECT_NG
IFX_DECTTK_CFLAGS += -D__PIN_CODE__
IFX_DECTTK_CFLAGS += -DCATIQ_UPLANE

# Dect Agent CFLAGS
IFX_AGENT_CFLAGS += -DENABLE_ENCRYPTION
IFX_AGENT_CFLAGS += -DCAT_IQ2_0

# Network Agent CFLAGS
#IFX_NA_CFLAGS += -DFAX_SUPPORT
#IFX_NA_CFLAGS += -DSTUN_SUPPORT
#IFX_NA_CFLAGS += -DINFO_SUPPORT
#IFX_NA_CFLAGS += -DMESSAGE_SUPPORT
IFX_NA_CFLAGS += -DRFC_3262
IFX_NA_CFLAGS += -DRFC_3311

# Rtp CFLAGS
IFX_RTP_CFLAGS += __BIG_ENDIAN

# Sip CFLAGS
#IFX_SIP_SDP_CFLAGS += INFO_SUPPORT

#IFX_SIP_STK_CFLAGS += -DMESSAGE_SUPPORT
#IFX_SIP_STK_CFLAGS += -DFAX_SUPPORT
#IFX_SIP_STK_CFLAGS += -DINFO_SUPPORT
IFX_SIP_STK_CFLAGS += -DRFC_3262
IFX_SIP_STK_CFLAGS += -DRFC_3311
IFX_SIP_STK_CFLAGS += -DRFC_3325
IFX_SIP_STK_CFLAGS += -D__BIG_ENDIAN

# Vmapi CFLAGS
#IFX_VMAPI_CFLAGS += -DMESSAGE_SUPPORT
#IFX_VMAPI_CFLAGS += -DLTAM
IFX_VMAPI_CFLAGS += -fPIC

# CGI CFLAGS
IFX_CGI_CFLAGS += -DIFX_DEBUG

# Gateway Appln CFLAGS

#CALLMGR
#IFX_GWAPP_CFLAGS += -DMESSAGE_SUPPORT
IFX_GWAPP_CFLAGS += -DFAX_SUPPORT

#MEDIAMGR

#INTERFACE
IFX_GWAPP_CFLAGS += -DUDP_REDIRECT
IFX_GWAPP_CFLAGS += -DCAT_IQ2_0
#IFX_GWAPP_CFLAGS += -DDECT_SUPPORT
IFX_GWAPP_CFLAGS += -DENABLE_PIN_CODE_CFG_THR_PHONE
IFX_GWAPP_CFLAGS += -DDEBUG_COSIC
#IFX_GWAPP_CFLAGS += -DMESSAGE_SUPPORT

# CATIQ Stack CFLAGS
IFX_STK_CFLAGS += -DFT
IFX_STK_CFLAGS += -DCATIQ
IFX_STK_CFLAGS += -DDECT_NG
IFX_STK_CFLAGS += -DDECT_NG_FULL_PAGE
IFX_STK_CFLAGS += -DF_DECT_STACK_LIBRARY
IFX_STK_CFLAGS += -D__PIN_CODE__
IFX_STK_CFLAGS += -DCATIQ_VE
IFX_STK_CFLAGS += -DCATIQ_UPLANE

# Cosic Driver CFLAGS
IFX_COSICDRV_CFLAGS += -DFW_DOWNLOAD
IFX_COSICDRV_CFLAGS += -DDECT_NG
IFX_COSICDRV_CFLAGS += -DCATIQ_UPLANE

# Common CFLAGS
IFX_COMMON_CFLAGS += -Wall
IFX_COMMON_CFLAGS += -D__LINUX__
IFX_COMMON_CFLAGS += -Os
#IFX_COMMON_CFLAGS += -DDEV_DEBUG
IFX_COMMON_CFLAGS += -DCUST_DEBUG
IFX_COMMON_CFLAGS += -DDANUBE 
IFX_COMMON_CFLAGS += -DIPV4
IFX_COMMON_CFLAGS += -DFIREWALL_DRILL
IFX_COMMON_CFLAGS += -DQOS_SUPPORT
#IFX_COMMON_CFLAGS += -DDARE_CUST
IFX_COMMON_CFLAGS += -DDELAYED_HOTLINE
IFX_COMMON_CFLAGS += -DHANDLE_OPTIONS
IFX_COMMON_CFLAGS += -DRFC_4028

export MKDIR = mkdir
export CP = cp
export RM = rm
export IFX_PRODUCT_LIB= ${IFX_PRODUCT_ROOT}/lib

#DEPENDENTS

IFX_COMMON_CFLAGS += -DDSL_CHANNELS_PER_LINE=1
IFX_COMMON_CFLAGS += -DINCLUDE_DSL_CPE_API_DANUBE
IFX_COMMON_CFLAGS += -DDONT_USE_IFX_BASIC_TYPES_H
IFX_COMMON_CFLAGS += -DUDP_REDIRECT
IFX_COMMON_CFLAGS += -I$(LINUX_DIR)/include

IFX_COMMON_CFLAGS += -DTAPIV3
#IFX_COMMON_CFLAGS += -DCONFIG_AMAZON_S

#In case of STUN/INFO/MESSAGE support Not required set this variable "STUN_SUPPORT=0"

export STUN_SUPPORT = 0
export INFO_SUPPORT = 1
export MESSAGE_SUPPORT = 0
export UPDATE_SUPPORT = 1
export PRACK_SUPPORT = 1
export DECT_SUPPORT = 0
export FXO_SUPPORT =1
export IFX_LTAM  = 1

ifeq ($(PRACK_SUPPORT),1)
   IFX_COMMON_CFLAGS += -DRFC_3262
endif
ifeq ($(UPDATE_SUPPORT),1)
   IFX_COMMON_CFLAGS += -DRFC_3311
endif

ifeq ($(STUN_SUPPORT),1)
   IFX_COMMON_CFLAGS += -DSTUN_SUPPORT
endif
ifeq ($(INFO_SUPPORT),1)
   IFX_COMMON_CFLAGS += -DINFO_SUPPORT
endif
ifeq ($(MESSAGE_SUPPORT),1)
   IFX_COMMON_CFLAGS += -DMESSAGE_SUPPORT
endif
ifeq ($(IFX_LTAM),1)
   IFX_COMMON_CFLAGS += -DLTAM
endif

# COMMON DIRECTORY ORGANIZATION

IFX_COMMON_ROOT=$(IFX_PRODUCT_ROOT)/voip_ifx_common
IFX_COMMON_LIB=$(IFX_PRODUCT_ROOT)/voip_ifx_common/lib
IFX_COMMON_OBJ=$(IFX_PRODUCT_ROOT)/voip_ifx_common/obj
IFX_COMMON_HDR=$(IFX_PRODUCT_ROOT)/voip_ifx_common/h
IFX_COMMON_SRC=$(IFX_PRODUCT_ROOT)/voip_ifx_common/src

